#
# Conditional build:
%bcond_with	tests		# Tests requires network access
#
# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0

Summary:	TOML for Modern C++
Name:		toml11
Version:	4.3.0
Release:	1
License:	MIT
Source0:	https://github.com/ToruNiina/toml11/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	0235d45af6aa3ef4e70f22d99598b92e
URL:		https://github.com/ToruNiina/toml11
BuildRequires:	cmake
BuildRequires:	libstdc++-devel
%if %{with test}
BuildRequires:	boost-devel
BuildRequires:	git-core
%endif

%description
toml11 is a C++11 (or later) header-only toml parser/encoder depending
only on C++ standard library.

  - It is compatible to the latest version of TOML v1.0.0.
  - It is one of the most TOML standard compliant libraries, tested with
    the language agnostic test suite for TOML parsers by BurntSushi.
  - It shows highly informative error messages. You can see the error
    messages about invalid files at CircleCI.
  - It has configurable container. You can use any random-access
    containers and key-value maps as backend containers.
  - It optionally preserves comments without any overhead.
  - It has configurable serializer that supports comments, inline
    tables, literal strings and multiline strings.
  - It supports user-defined type conversion from/into toml values.
  - It correctly handles UTF-8 sequences, with or without BOM, both on
    posix and Windows.

%prep
%setup -q

%build
mkdir -p build
cd build
%cmake ../ \
	%{__cmake_on_off tests toml11_BUILD_TEST}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%{_includedir}/*.hpp
%{_includedir}/%{name}
%{_libdir}/cmake/%{name}
%changelog
* Thu Feb 13 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/toml11.git;a=log;h=master

* Thu Feb 13 2025 Jan Rękorajski <baggins@pld-linux.org> 6537f95
- new

